/*
 * send a notification by SMS using Free mobile API
 *
 * Copyright (c) 2015 Arnaud Patard <arnaud.patard@rtp-net.org>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 *
 */

#ifndef _CORE_H
#define _CORE_H 1

struct conf {
        char *url;
        char ignorecerterrors;
        char *user;
        char *pass;
	char verbose;
};

#define CURL_ERR_OFS	1024
#define DEFAULT_URL	"https://smsapi.free-mobile.fr/sendmsg"

int send_msg(struct conf *opts, char *msg);

#endif
